Installing WAD to USB: Error ret = -1017

Discussion in 'Wii - Hacking' started by muuh, Dec 22, 2009.

  1. muuh
    OP

    muuh Member

    Newcomer
    47
    0
    Apr 14, 2009
    Gambia, The
    I've been trying to install a wad to my freshly dumped nand on my wbfs/fat32 patitioned usb drive with the wad manager 1.5, but it just won't work. I always get the following:
    ">> Finishing Installation... ERROR! (ret = -1017)"

    what can I do to fix this? I already tried trucha bug restorer as I read that this would often fix -1017, but it didn't.
     
  2. pepxl

    pepxl GFX W!Z4RD

    Member
    3,263
    108
    Jun 19, 2009
    u need a FAT32 active, primary partion for that, as do most homebrew
     
  3. muuh
    OP

    muuh Member

    Newcomer
    47
    0
    Apr 14, 2009
    Gambia, The
    It is formatted FAT32 and it works fine with other homebrew... I wrote ntfs by mistake.
     
  4. muuh
    OP

    muuh Member

    Newcomer
    47
    0
    Apr 14, 2009
    Gambia, The
    any suggestions? thanks.
     
  5. bazamuffin

    bazamuffin RESIDENT DILF

    Member
    2,036
    63
    Feb 1, 2009
    Shmashmortion Clinic
  6. Kovani

    Kovani GBAtemp Regular

    Member
    168
    6
    Jan 4, 2009
    Canada
    It doesn't work if you use WAD Manager to install a WAD on a NAND dump with cIOS38 rev15. Use cIOS38 rev14 instead.
     
  7. muuh
    OP

    muuh Member

    Newcomer
    47
    0
    Apr 14, 2009
    Gambia, The
    That was probably what was wrong as I'm running cios38 rev15. I'll install cios38 rev 14 now and try again.
     
  8. bazamuffin

    bazamuffin RESIDENT DILF

    Member
    2,036
    63
    Feb 1, 2009
    Shmashmortion Clinic
    Are your IOS's up to date? Also, what are you using for loading VC/Wiiware
     
  9. muuh
    OP

    muuh Member

    Newcomer
    47
    0
    Apr 14, 2009
    Gambia, The
    Installing worked fine with rev 14. But some games still give me black screens and freeze when I try to start them.
    I don't really know if I'm up to date... I'm on 3.2E and the Homebrew Channel says I'm on IOS36 v.4.18 ANd I'm using the newest Triiforce MRC.

    EDIT: I simply changed the loading method and everything works fine now. Thank you everybody who helped me on here.